> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rdp.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Hostname

> Update the display hostname for a server. Set to null or less than 3 characters to clear.



## OpenAPI

````yaml put /servers/{server}/hostname
openapi: 3.1.0
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://rdp.sh/api/v1
    description: Default production endpoint.
security: []
paths:
  /servers/{server}/hostname:
    put:
      summary: Update server hostname
      description: >-
        Update the display hostname for a server. Set to null or less than 3
        characters to clear.
      operationId: updateServerHostname
      parameters:
        - $ref: '#/components/parameters/server'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                hostname:
                  type: string
                  maxLength: 16
                  description: >-
                    New hostname (max 16 characters, min 3 to set, less clears
                    it)
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                title: UpdateHostnameOk
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  hostname:
                    type: string
          description: Hostname updated successfully.
        '403':
          description: Unauthorized access.
        '422':
          description: Validation error.
      security:
        - Authorization: []
components:
  parameters:
    server:
      in: path
      name: server
      schema:
        type: string
      required: true
  securitySchemes:
    Authorization:
      in: header
      name: Authorization
      type: apiKey

````